Debian Bug report logs - #127786
ifup should wait for ppp interface to appear

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Yann Dirson <dirson@debian.org>

Date: Fri, 4 Jan 2002 15:33:03 UTC

Severity: wishlist

Merged with 287173

Found in version 0.6.4-4.8

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Beattie <mjb@debian.org>:
Bug#127786; Package ppp. Full text and rfc822 format available.

Acknowledgement sent to Yann Dirson <dirson@debian.org>:
New Bug report received and forwarded. Copy sent to Michael Beattie <mjb@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yann Dirson <dirson@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ppp: pon script for use with ifup
Date: Fri, 4 Jan 2002 16:56:35 +0100
[Message part 1 (text/plain, inline)]
Package: ppp
Version: 2.4.1-4
Severity: normal

The current "pon" script is unsuitable for "ifup" and any other monitoring
launcher, as it exists far before the interface is really up.

I currently use a diversion, and the attached wrapper for pon, which appers
to work fine for me.


-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux bylbo 2.2.19+reiserfs+ide #1 Wed Jun 13 20:05:28 CEST 2001 i586
Locale: LANG=français, LC_CTYPE=français

Versions of packages ppp depends on:
ii  libc6                         2.2.4-6    GNU C Library: Shared libraries an
ii  libpam-modules                0.72-31    Pluggable Authentication Modules f
ii  libpam0g                      0.72-31    Pluggable Authentication Modules l
ii  netbase                       4.06       Basic TCP/IP networking system
ii  procps                        1:2.0.7-6  The /proc file system utilities.
ii  sysvinit                      2.82-1     System-V like init.

-- 
Yann Dirson    <ydirson@altern.org> |    Why make M$-Bill richer & richer ?
Debian-related: <dirson@debian.org> |   Support Debian GNU/Linux:
Pro:    <yann.dirson@fr.alcove.com> |  Freedom, Power, Stability, Gratuity
     http://ydirson.free.fr/        | Check <http://www.debian.org/>
[pon (text/plain, attachment)]

Bug reassigned from package `ppp' to `ifupdown'. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `normal'. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information stored:
Bug#127786; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Thomas Hood <jdthood@yahoo.co.uk>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 127786-quiet@bugs.debian.org (full text, mbox):

From: Thomas Hood <jdthood@yahoo.co.uk>
To: 127786-quiet@bugs.debian.org
Subject: severity normal ; retitle
Date: Mon, 29 Sep 2003 05:10:22 +0200
severity 127786 normal
retitle 127786 ifup should wait for ppp interface to appear
thanks

We can use this bug to track the problem that ifup doesn't
wait for the ppp interface to appear.  This fact make it
difficult to write if-up.d/ scripts that will work on ppp
interfaces.





Severity set to `wishlist'. Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Anthony Towns <aj@azure.humbug.org.au> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: pending Request was from Thomas Hood <jdthood@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: pending Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 127786 287173. Request was from Thomas Hood <jdthood@aglu.demon.nl> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Anthony Towns <ajt@debian.org>:
Bug#127786; Package ifupdown. Full text and rfc822 format available.

Acknowledgement sent to Laurent Bigonville <l.bigonville@edpnet.be>:
Extra info received and forwarded to list. Copy sent to Anthony Towns <ajt@debian.org>. Full text and rfc822 format available.

Message #35 received at 127786@bugs.debian.org (full text, mbox):

From: Laurent Bigonville <l.bigonville@edpnet.be>
To: 127786@bugs.debian.org
Subject: status?
Date: Fri, 5 May 2006 15:55:02 +0200
[Message part 1 (text/plain, inline)]
HI,

What the status of this bug? This is really annoying for dialup (and dsl) users, this causes race conditions in some startup scripts.. Adding 'updetach' in the peer file seems to resolve the problem, but this must be solved in ifupdown too.

Laurent
[Message part 2 (application/pgp-signature, inline)]

Tags removed: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed-in-experimental Request was from Javier Fernández-Sanguino Peña <jfs@computer.org> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:41:33 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.